List uploads
curl --request GET \
--url https://api.optimaldial.com/api/v1/uploads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.optimaldial.com/api/v1/uploads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.optimaldial.com/api/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"status": "pending_mapping",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_size_bytes": 123,
"valid_row_count": 123,
"invalid_row_count": 123,
"credits_required": 123,
"credits_charged": 123,
"credits_refunded": 123,
"source": "web",
"api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skip_mobile_lookup": true,
"validation_tier": "standard",
"identity_enabled": true,
"result_summary": {
"format": "identity",
"total_rows": 123,
"status_counts": {
"1 - Likely Right-Party Answer": 303,
"5 - Likely Right-Party Voicemail": 891,
"8 - Likely Wrong Number": 463
},
"identity_counts": {
"Very High": 344,
"High": 846,
"Low": 463
},
"has_answer_intent_column": true,
"has_identity_column": true
},
"export_count": 123,
"last_exported_at": "2023-11-07T05:31:56Z",
"processed_available": true,
"processed_filtered_available": true,
"error_message": "<string>",
"exceeded_daily_limit": true
}
],
"next_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}uploads
List uploads
GET
/
api
/
v1
/
uploads
List uploads
Authorizations
OptimalDial API key, prefixed od_live_, sent as Authorization: Bearer ....
Mint keys in the in-app developer panel; they are scoped to a single organization.
Query Parameters
Required range:
1 <= x <= 100Opaque cursor returned as next_cursor in the previous response.